(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     51724,       1489]
NotebookOptionsPosition[     47703,       1413]
NotebookOutlinePosition[     48153,       1430]
CellTagsIndexPosition[     48110,       1427]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mf", "=", "MatrixForm"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"randomMatrix", "[", "rnm_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"RandomReal", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}], "]"}], "&"}], "[", "i", 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "rnm"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "rnm"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.685842236140625*^9, 3.685842236484375*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"5f99be5e-536f-498d-ba57-4445edc459ec"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"http", ":"}], "//", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"kfe", ".", "fjfi", ".", "cvut", ".", "cz"}], "/", 
        RowBox[{"~", "limpouch"}]}], "/", "numet"}], "/", "nr"}], "/", 
     RowBox[{"node14", ".", "html"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"http", ":"}], "//", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"kfe", ".", "fjfi", ".", "cvut", ".", "cz"}], "/", 
        RowBox[{"~", "limpouch"}]}], "/", "numet"}], "/", "nr"}], "/", 
     RowBox[{"node15", ".", "html"}]}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.6857809848125*^9, 3.685780987765625*^9}, {
  3.685781059265625*^9, 
  3.685781061765625*^9}},ExpressionUUID->"fe222c62-ebb0-4afd-9ee2-\
83eb715e0222"],

Cell[BoxData[{
 RowBox[{"SeedRandom", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"randomMatrix", "[", "n", "]"}], "&"}], "/@", 
    RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"p1", ",", "p2", ",", "p3"}], "}"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"-", "3"}], 
      RowBox[{"Random", "[", "]"}]}], "&"}], "/@", 
    RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f1", "[", "xvect_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Plus", "@@", 
     RowBox[{"(", 
      RowBox[{"a", ".", "xvect"}], ")"}]}], "+", "p1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f2", "[", "xvect_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Plus", "@@", 
     RowBox[{"(", 
      RowBox[{"b", ".", "xvect"}], ")"}]}], "+", "p2"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f3", "[", "xvect_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Plus", "@@", 
     RowBox[{"(", 
      RowBox[{"c", ".", "xvect"}], ")"}]}], "+", "p3"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.68584352715625*^9, {3.685843762765625*^9, 3.6858437718125*^9}, {
   3.9066035231858816`*^9, 3.9066035294809966`*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"1b6c7b71-2e9d-4942-9c98-57ff9ebcd0a9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["x", "#"], "&"}], "/@", 
  RowBox[{"{", 
   RowBox[{"1", ",", "2", ",", "3"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.906603640858423*^9, 3.906603667367863*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"0c15ea19-8710-44cd-98e0-0cd95db39fb2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   SubscriptBox["x", "1"], ",", 
   SubscriptBox["x", "2"], ",", 
   SubscriptBox["x", "3"]}], "}"}]], "Output",
 CellChangeTimes->{{3.9066036462631426`*^9, 3.9066036681330338`*^9}},
 CellLabel->"Out[37]=",ExpressionUUID->"e4bceb1d-28e0-4632-aa30-1bf7388cba9c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["x", "#"], "&"}], "[", "5", "]"}]], "Input",
 CellChangeTimes->{{3.906603615083212*^9, 3.906603635656522*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"06125248-05c6-451a-84e4-4ce0b191d58e"],

Cell[BoxData[
 SubscriptBox["x", "5"]], "Output",
 CellChangeTimes->{{3.906603620441049*^9, 3.9066036359530196`*^9}},
 CellLabel->"Out[35]=",ExpressionUUID->"1865bf15-a52d-4b0a-9709-567802be227d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"h", "/@", 
  RowBox[{"Range", "[", "n", "]"}]}]], "Input",
 CellChangeTimes->{{3.9066039436307983`*^9, 3.906603946848845*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"0f7a9631-fce7-4240-a07c-c7b032fc4d69"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"h", "[", "1", "]"}], ",", 
   RowBox[{"h", "[", "2", "]"}], ",", 
   RowBox[{"h", "[", "3", "]"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.906603940415029*^9, 3.906603947551783*^9}},
 CellLabel->"Out[45]=",ExpressionUUID->"a8776675-7c09-489b-92b4-fe1531ae8811"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"vars", "=", 
  RowBox[{
   RowBox[{
    SubscriptBox["x", "#"], "&"}], "/@", 
   RowBox[{"Range", "[", "n", "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.68584352715625*^9, {3.685843762765625*^9, 3.6858437718125*^9}, {
   3.9066035231858816`*^9, 3.9066035692498894`*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"fbd3ae72-b461-42f6-b125-2eef95c7f807"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   SubscriptBox["x", "1"], ",", 
   SubscriptBox["x", "2"], ",", 
   SubscriptBox["x", "3"]}], "}"}]], "Output",
 CellChangeTimes->{3.9066035697966175`*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"e4887d4b-08d6-45dc-aa88-de6990b9f5cc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"vectfces", "=", 
  RowBox[{"Through", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"f1", ",", "f2", ",", "f3"}], "}"}], "[", "vars", "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{
  3.68584352715625*^9, {3.685843762765625*^9, 3.6858437718125*^9}, {
   3.9066035231858816`*^9, 3.9066035540380206`*^9}, {3.906603684973136*^9, 
   3.9066036918306026`*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"a5612d31-01ae-4e76-971b-12feca172c74"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "2.0060780335801036`"}], "+", 
    RowBox[{"0.09487851477344345`", " ", 
     SubscriptBox["x", "1"]}], "-", 
    RowBox[{"1.8321298293501713`", " ", 
     SubscriptBox["x", "2"]}], "-", 
    RowBox[{"0.4974583286175607`", " ", 
     SubscriptBox["x", "3"]}]}], ",", 
   RowBox[{
    RowBox[{"-", "2.4935996168608385`"}], "+", 
    RowBox[{"0.8969747415414151`", " ", 
     SubscriptBox["x", "1"]}], "-", 
    RowBox[{"0.23080807780600354`", " ", 
     SubscriptBox["x", "2"]}], "+", 
    RowBox[{"1.6077695904362073`", " ", 
     SubscriptBox["x", "3"]}]}], ",", 
   RowBox[{
    RowBox[{"-", "2.345422424462854`"}], "-", 
    RowBox[{"1.3754551143671323`", " ", 
     SubscriptBox["x", "1"]}], "-", 
    RowBox[{"0.3311086367992191`", " ", 
     SubscriptBox["x", "2"]}], "+", 
    RowBox[{"0.23567609873045692`", " ", 
     SubscriptBox["x", "3"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.906603692502353*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"2675ab4a-3b01-489d-a5c8-ebddce41fa04"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Thread", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"u", ",", "v", ",", "w"}], "}"}], "\[Equal]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3", ",", "6"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9066037352269583`*^9, 3.9066037686989064`*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"0252d234-9aee-434a-9b51-5188ae9bb6b4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"u", "\[Equal]", "2"}], ",", 
   RowBox[{"v", "\[Equal]", "3"}], ",", 
   RowBox[{"w", "\[Equal]", "6"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.906603751754152*^9, 3.9066037747600164`*^9}},
 CellLabel->"Out[41]=",ExpressionUUID->"c2086b7d-ec6d-43c3-abfd-9f42f423c3f6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"origEqns", "=", 
  RowBox[{"Thread", "[", 
   RowBox[{"vectfces", "\[Equal]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"0", "&"}], "/@", 
      RowBox[{"Range", "[", "n", "]"}]}], ")"}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.68584352715625*^9, {3.685843762765625*^9, 3.6858437718125*^9}, {
   3.9066035231858816`*^9, 3.9066035540380206`*^9}, {3.906603684973136*^9, 
   3.9066037228392878`*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"bd51ac37-7232-4638-ab9e-63047f30cd8f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", "2.0060780335801036`"}], "+", 
     RowBox[{"0.09487851477344345`", " ", 
      SubscriptBox["x", "1"]}], "-", 
     RowBox[{"1.8321298293501713`", " ", 
      SubscriptBox["x", "2"]}], "-", 
     RowBox[{"0.4974583286175607`", " ", 
      SubscriptBox["x", "3"]}]}], "\[Equal]", "0"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "2.4935996168608385`"}], "+", 
     RowBox[{"0.8969747415414151`", " ", 
      SubscriptBox["x", "1"]}], "-", 
     RowBox[{"0.23080807780600354`", " ", 
      SubscriptBox["x", "2"]}], "+", 
     RowBox[{"1.6077695904362073`", " ", 
      SubscriptBox["x", "3"]}]}], "\[Equal]", "0"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "2.345422424462854`"}], "-", 
     RowBox[{"1.3754551143671323`", " ", 
      SubscriptBox["x", "1"]}], "-", 
     RowBox[{"0.3311086367992191`", " ", 
      SubscriptBox["x", "2"]}], "+", 
     RowBox[{"0.23567609873045692`", " ", 
      SubscriptBox["x", "3"]}]}], "\[Equal]", "0"}]}], "}"}]], "Output",
 CellChangeTimes->{3.9066037235732307`*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"e414dce0-e758-474d-ac50-0fb1b9a27fd7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"h", "[", 
      RowBox[{
       SubscriptBox["x", "1"], ",", 
       SubscriptBox["x", "2"], ",", 
       SubscriptBox["x", "3"]}], "]"}], ",", "#"}], "]"}], "&"}], "/@", 
  "vars"}]], "Input",
 CellChangeTimes->{{3.9066038739698286`*^9, 3.9066039074725213`*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"ed1e8237-83b5-4673-b965-b1b5a795c09f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    SuperscriptBox["h", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "0", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{
     SubscriptBox["x", "1"], ",", 
     SubscriptBox["x", "2"], ",", 
     SubscriptBox["x", "3"]}], "]"}], ",", 
   RowBox[{
    SuperscriptBox["h", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "1", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{
     SubscriptBox["x", "1"], ",", 
     SubscriptBox["x", "2"], ",", 
     SubscriptBox["x", "3"]}], "]"}], ",", 
   RowBox[{
    SuperscriptBox["h", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "0", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{
     SubscriptBox["x", "1"], ",", 
     SubscriptBox["x", "2"], ",", 
     SubscriptBox["x", "3"]}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.9066038749844685`*^9, 3.9066039081754684`*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"5e24d0db-789a-4089-84ce-c476b50fb6ca"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"grad", "[", "expr_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{"expr", ",", "#"}], "]"}], "&"}], "/@", "vars"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"jacobian", "=", 
   RowBox[{"grad", "/@", "vectfces"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xStart", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Random", "[", "]"}], "&"}], "/@", 
    RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xNext", "[", "xPrevious_", "]"}], ":=", 
   RowBox[{"xPrevious", "-", 
    RowBox[{
     RowBox[{"Inverse", "[", 
      RowBox[{"jacobian", "/.", 
       RowBox[{"Thread", "[", 
        RowBox[{"vars", "\[Rule]", "xPrevious"}], "]"}]}], "]"}], ".", 
     RowBox[{"(", 
      RowBox[{"vectfces", "/.", 
       RowBox[{"Thread", "[", 
        RowBox[{"vars", "\[Rule]", "xPrevious"}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"xNext", "[", "xStart", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", "origEqns", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "for", " ", "linear", " ", "equations", " ", "one", " ", "step", " ", "is",
     " ", "enough"}], "*)"}]}]}], "Input",
 CellChangeTimes->{
  3.68584352715625*^9, {3.685843762765625*^9, 3.6858437718125*^9}, {
   3.9066035231858816`*^9, 3.9066035540380206`*^9}, {3.906603684973136*^9, 
   3.906603720824128*^9}},ExpressionUUID->"498cabb4-bff5-417d-92c8-\
714a9d68c018"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.9878721982907739`"}], ",", 
   RowBox[{"-", "1.652451570761416`"}], ",", "1.8648796902983014`"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.842492335705079*^9, 3.9060145911298304`*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"023472d9-3298-4589-9b29-bbf3b0ea05e1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     SubscriptBox["x", "1"], "\[Rule]", 
     RowBox[{"-", "0.9878721982907739`"}]}], ",", 
    RowBox[{
     SubscriptBox["x", "2"], "\[Rule]", 
     RowBox[{"-", "1.6524515707614162`"}]}], ",", 
    RowBox[{
     SubscriptBox["x", "3"], "\[Rule]", "1.8648796902983016`"}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.842492335705079*^9, 3.9060145912301545`*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"f93183c4-1fa6-4501-86c4-ab6f17f8026d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"nonlinear", " ", "example"}], ",", " ", 
    RowBox[{"quadratic", " ", "forms", " ", "zeros"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"SeedRandom", "[", "1", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "=", "3"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"randomMatrix", "[", "n", "]"}], "&"}], "/@", 
      RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "p2", ",", "p3"}], "}"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", "3"}], 
        RowBox[{"Random", "[", "]"}]}], "&"}], "/@", 
      RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f1", "[", "xvect_", "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"a", ".", "xvect"}], ")"}], ".", "xvect"}], "+", "p1"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f2", "[", "xvect_", "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"b", ".", "xvect"}], ")"}], ".", "xvect"}], "+", "p2"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f3", "[", "xvect_", "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"c", ".", "xvect"}], ")"}], ".", "xvect"}], "+", "p3"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vars", "=", 
     RowBox[{
      RowBox[{
       SubscriptBox["x", "#"], "&"}], "/@", 
      RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vectfces", "=", 
     RowBox[{"Through", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"f1", ",", "f2", ",", "f3"}], "}"}], "[", "vars", "]"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"origEqns", "=", 
     RowBox[{"Thread", "[", 
      RowBox[{"vectfces", "\[Equal]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"0", "&"}], "/@", 
         RowBox[{"Range", "[", "n", "]"}]}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"grad", "[", "expr_", "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{"expr", ",", "#"}], "]"}], "&"}], "/@", "vars"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"jacobian", "=", 
     RowBox[{"grad", "/@", "vectfces"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xStart", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Random", "[", "]"}], "&"}], "/@", 
      RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xNext", "[", "xPrevious_", "]"}], ":=", 
     RowBox[{"xPrevious", "-", 
      RowBox[{
       RowBox[{"Inverse", "[", 
        RowBox[{"jacobian", "/.", 
         RowBox[{"Thread", "[", 
          RowBox[{"vars", "\[Rule]", "xPrevious"}], "]"}]}], "]"}], ".", 
       RowBox[{"(", 
        RowBox[{"vectfces", "/.", 
         RowBox[{"Thread", "[", 
          RowBox[{"vars", "\[Rule]", "xPrevious"}], "]"}]}], ")"}]}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xNext", "[", "xStart", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NestList", "[", 
     RowBox[{"xNext", ",", "xStart", ",", "50"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"-", "1"}], "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"FindRoot", "[", 
      RowBox[{"origEqns", ",", 
       RowBox[{"Thread", "[", 
        RowBox[{"List", "[", 
         RowBox[{"vars", ",", "xStart"}], "]"}], "]"}]}], "]"}], 
     "\[IndentingNewLine]", 
     RowBox[{"Solve", "[", "origEqns", "]"}]}], "\[IndentingNewLine]", 
    "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.68584374725*^9, 3.685843840265625*^9}, {
   3.68584390375*^9, 3.685843921375*^9}, 3.686319570890625*^9, {
   3.686369638140625*^9, 
   3.6863696604375*^9}},ExpressionUUID->"a7b9e635-b099-4170-929a-\
ea3ae4544ce8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.7037477678697783`", ",", 
   RowBox[{"-", "1.5309905145107294`"}], ",", 
   RowBox[{"-", "0.6662538460075305`"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.842492335805332*^9},ExpressionUUID->"b90db5c6-31a9-4d94-a261-\
72223f86cfc6"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"load", " ", "flow", " ", "problem"}], ",", " ", 
    RowBox[{
    "cartesian", " ", "form", " ", "of", " ", "complex", " ", "numbers"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Quiet", "@", 
     RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"simplify", "=", 
     RowBox[{"#", "&"}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "\"\<lower\>\"", " ", "programing", " ", "languages", " ", "have", " ", 
      "no", " ", "Mathematica", " ", 
      RowBox[{"Simplify", "[", "#", "]"}]}], "&"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"simplify", "=", "Simplify"}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"conjugate", "[", 
      RowBox[{"{", 
       RowBox[{"re_", ",", "im_"}], "}"}], "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{"re", ",", 
       RowBox[{"-", "im"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"times", "[", 
      RowBox[{
       RowBox[{"ua", ":", 
        RowBox[{"{", 
         RowBox[{"uare_", ",", "uaim_"}], "}"}]}], ",", 
       RowBox[{"ub", ":", 
        RowBox[{"{", 
         RowBox[{"ubre_", ",", "ubim_"}], "}"}]}]}], "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"uare", "*", "ubre"}], "-", 
        RowBox[{"uaim", "*", "ubim"}]}], ",", 
       RowBox[{
        RowBox[{"uare", "*", "ubim"}], "+", 
        RowBox[{"ubre", "*", "uaim"}]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"re", "[", 
      RowBox[{"{", 
       RowBox[{"re_", ",", "im_"}], "}"}], "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{"re", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"im", "[", 
      RowBox[{"{", 
       RowBox[{"re_", ",", "im_"}], "}"}], "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{"im", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sqabs", "[", 
      RowBox[{"{", 
       RowBox[{"re_", ",", "im_"}], "}"}], "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SuperscriptBox["re", "2"], "+", 
        SuperscriptBox["im", "2"]}], ",", "0"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"powerMinus1", "[", 
      RowBox[{"z", ":", 
       RowBox[{"{", 
        RowBox[{"re_", ",", "im_"}], "}"}]}], "]"}], ":=", 
     FractionBox[
      RowBox[{"{", 
       RowBox[{"re", ",", 
        RowBox[{"-", "im"}]}], "}"}], 
      RowBox[{
       SuperscriptBox["re", "2"], "+", 
       SuperscriptBox["im", "2"]}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ratio", "[", 
     RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
    RowBox[{"times", "[", 
     RowBox[{
      RowBox[{"powerMinus1", "[", "b", "]"}], ",", "a"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"apparentPower", "[", 
      RowBox[{"u_", ",", "i_"}], "]"}], ":=", 
     RowBox[{"times", "[", 
      RowBox[{"u", ",", 
       RowBox[{"conjugate", "[", "i", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"activePower", "[", 
      RowBox[{"u_", ",", "i_"}], "]"}], ":=", 
     RowBox[{"re", "[", 
      RowBox[{"apparentPower", "[", 
       RowBox[{"u", ",", "i"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"reactivePower", "[", 
      RowBox[{"u_", ",", "i_"}], "]"}], ":=", 
     RowBox[{"im", "[", 
      RowBox[{"apparentPower", "[", 
       RowBox[{"u", ",", "i"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"current", "[", 
      RowBox[{"u1_", ",", "u2_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"ratio", "[", 
      RowBox[{
       RowBox[{"u1", "-", "u2"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"toMyForm", "[", "z_", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Re", "[", "z", "]"}], ",", 
       RowBox[{"Im", "[", "z", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fromMyForm", "[", 
      RowBox[{"{", 
       RowBox[{"re_", ",", "im_"}], "}"}], "]"}], ":=", 
     RowBox[{"re", "+", 
      RowBox[{"I", "*", "im"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"rearrangeRealEqn", "[", "eqn_Equal", "]"}], ":=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"simplify", "[", "eqn", "]"}], "}"}], "/.", 
      RowBox[{
       RowBox[{"Equal", "[", 
        RowBox[{"a_", ",", "b_"}], "]"}], "\[RuleDelayed]", 
       RowBox[{"Equal", "[", 
        RowBox[{
         RowBox[{"a", "-", "b"}], ",", "0"}], "]"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"rearrangeComplexEqn", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"rea_", ",", "ima_"}], "}"}], "\[Equal]", 
       RowBox[{"{", 
        RowBox[{"reb_", ",", "imb_"}], "}"}]}], "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"DeleteCases", "[", 
        RowBox[{"#", ",", 
         RowBox[{"rearrangeRealEqn", "[", "True", "]"}]}], "]"}], "&"}], "@", 
      RowBox[{"Flatten", "[", 
       RowBox[{"rearrangeRealEqn", "/@", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"simplify", "[", 
           RowBox[{"rea", "\[Equal]", "reb"}], "]"}], ",", 
          RowBox[{"simplify", "[", 
           RowBox[{"ima", "\[Equal]", "imb"}], "]"}]}], "}"}]}], "]"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rearrangeComplexEqn", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], "\[Equal]", 
      RowBox[{"{", 
       RowBox[{"c", ",", "d"}], "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rearrangeRealEqn", "[", 
     RowBox[{
      RowBox[{"x", "+", 
       RowBox[{"2", "y"}]}], "\[Equal]", 
      RowBox[{"y", "-", "x"}]}], "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.686319588328125*^9, 3.6863196456875*^9}, {
   3.68631968075*^9, 3.686319865125*^9}, {3.6863199070625*^9, 
   3.6863201508125*^9}, {3.686320465609375*^9, 3.6863205451875*^9}, {
   3.686320598609375*^9, 3.68632071009375*^9}, {3.6863207813125*^9, 
   3.6863208234375*^9}, {3.686320899*^9, 3.686320913984375*^9}, {
   3.686320966625*^9, 3.68632110234375*^9}, {3.686321198015625*^9, 
   3.686321317671875*^9}, 3.68632140603125*^9, {3.686321932796875*^9, 
   3.686321933671875*^9}, {3.6863220218125*^9, 3.68632206846875*^9}, {
   3.68632216965625*^9, 3.686322249765625*^9}, {3.686322281375*^9, 
   3.68632252790625*^9}, {3.686322631125*^9, 3.686322729171875*^9}, {
   3.68632295625*^9, 3.6863229804375*^9}, {3.686323030578125*^9, 
   3.686323037125*^9}, {3.68632313046875*^9, 3.686323177765625*^9}, {
   3.686323819609375*^9, 
   3.686323852984375*^9}},ExpressionUUID->"4bb28f80-9b3a-4bc1-b609-\
309048cc817a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"kz", "=", "2.5"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"respects", " ", "length", " ", "of", " ", "lines"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"kReg", "=", "2.5"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"ratio", " ", "of", " ", "powers", " ", "of", " ", "sources"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["z", "1"], ",", 
     SubscriptBox["z", "2"], ",", 
     SubscriptBox["z", "3"]}], "}"}], "=", 
   RowBox[{"kz", "*", 
    RowBox[{"(", 
     RowBox[{"toMyForm", "/@", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{".01", "+", 
         RowBox[{"0.05", "I"}]}], ",", 
        RowBox[{"2", "*", 
         RowBox[{"(", 
          RowBox[{"01", "+", 
           RowBox[{"0.05", "I"}]}], ")"}]}], ",", 
        RowBox[{"0.01", "+", 
         RowBox[{"0.02", "I"}]}]}], "}"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"powerFactor4", "=", "0.8"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"powerFactor5", "=", "0.7"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"S4", "=", 
   RowBox[{
    SuperscriptBox["10", "3"], "*", 
    RowBox[{"{", 
     RowBox[{"powerFactor4", ",", 
      RowBox[{"Sin", "[", 
       RowBox[{"ArcCos", "[", "powerFactor4", "]"}], "]"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"S5", "=", 
   RowBox[{"500", "*", 
    RowBox[{"{", 
     RowBox[{"powerFactor5", ",", 
      RowBox[{"Sin", "[", 
       RowBox[{"ArcCos", "[", "powerFactor5", "]"}], "]"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       SubscriptBox["u", "#"], "=", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["ure", "#"], ",", 
         SubscriptBox["uim", "#"]}], "}"}]}], ",", 
      RowBox[{
       SubscriptBox["i", "#"], "=", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["ire", "#"], ",", 
         SubscriptBox["iim", "#"]}], "}"}]}]}], "}"}], "&"}], "/@", 
   RowBox[{"Range", "[", "5", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Unom", "=", "230."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnVoltage3", "=", 
   RowBox[{"rearrangeComplexEqn", "[", 
    RowBox[{
     RowBox[{"sqabs", "[", 
      SubscriptBox["u", "3"], "]"}], "==", 
     RowBox[{"toMyForm", "[", 
      SuperscriptBox["Unom", "2"], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnZ1", "=", 
   RowBox[{"rearrangeComplexEqn", "[", 
    RowBox[{
     SubscriptBox["i", "1"], "==", 
     RowBox[{"current", "[", 
      RowBox[{
       SubscriptBox["u", "1"], ",", 
       SubscriptBox["u", "3"], ",", 
       SubscriptBox["z", "1"]}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnZ2", "=", 
   RowBox[{"rearrangeComplexEqn", "[", 
    RowBox[{
     SubscriptBox["i", "2"], "==", 
     RowBox[{"current", "[", 
      RowBox[{
       SubscriptBox["u", "2"], ",", 
       SubscriptBox["u", "3"], ",", 
       SubscriptBox["z", "2"]}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnZ3", "=", 
   RowBox[{"rearrangeComplexEqn", "[", 
    RowBox[{
     SubscriptBox["i", "3"], "==", 
     RowBox[{"current", "[", 
      RowBox[{
       SubscriptBox["u", "3"], ",", 
       SubscriptBox["u", "4"], ",", 
       SubscriptBox["z", "3"]}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnNod3", "=", 
   RowBox[{"rearrangeComplexEqn", "[", 
    RowBox[{
     RowBox[{
      SubscriptBox["i", "1"], "+", 
      SubscriptBox["i", "2"]}], "==", 
     SubscriptBox["i", "3"]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnNod4", "=", 
   RowBox[{"rearrangeComplexEqn", "[", 
    RowBox[{
     RowBox[{
      SubscriptBox["i", "4"], "+", 
      SubscriptBox["i", "5"]}], "==", 
     SubscriptBox["i", "3"]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnSourceActivePowerRatio", "=", 
   RowBox[{"rearrangeComplexEqn", "[", 
    RowBox[{
     RowBox[{"activePower", "[", 
      RowBox[{
       SubscriptBox["u", "1"], ",", 
       SubscriptBox["i", "1"]}], "]"}], "\[Equal]", 
     RowBox[{
      StyleBox["kReg",
       FontColor->RGBColor[1, 0, 0]], "*", 
      RowBox[{"activePower", "[", 
       RowBox[{
        SubscriptBox["u", "2"], ",", 
        SubscriptBox["i", "2"]}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnSourcReactivePowerRatio", "=", 
   RowBox[{"rearrangeComplexEqn", "[", 
    RowBox[{
     RowBox[{"reactivePower", "[", 
      RowBox[{
       SubscriptBox["u", "1"], ",", 
       SubscriptBox["i", "1"]}], "]"}], "\[Equal]", 
     RowBox[{
      StyleBox["kReg",
       FontColor->RGBColor[1, 0, 0]], "*", 
      RowBox[{"reactivePower", "[", 
       RowBox[{
        SubscriptBox["u", "2"], ",", 
        SubscriptBox["i", "2"]}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnApparentPower4", "=", 
   RowBox[{"rearrangeComplexEqn", "[", 
    RowBox[{
     RowBox[{"apparentPower", "[", 
      RowBox[{
       SubscriptBox["u", "4"], ",", 
       SubscriptBox["i", "4"]}], "]"}], "\[Equal]", "S4"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnApparentPower5", "=", 
   RowBox[{"rearrangeComplexEqn", "[", 
    RowBox[{
     RowBox[{"apparentPower", "[", 
      RowBox[{
       SubscriptBox["u", "4"], ",", 
       SubscriptBox["i", "5"]}], "]"}], "\[Equal]", "S5"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnSettingAbsoluteTime", "=", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["ure", "3"], "\[Equal]", "0"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnsTogether", "=", 
   RowBox[{"Union", "[", 
    RowBox[{
    "eqnVoltage3", ",", "eqnZ1", ",", "eqnZ2", ",", "eqnZ3", ",", "eqnNod3", 
     ",", "eqnNod4", ",", "eqnSourceActivePowerRatio", ",", 
     "eqnSourcReactivePowerRatio", ",", "eqnApparentPower4", ",", 
     "eqnApparentPower5", ",", "eqnSettingAbsoluteTime"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"unknownVariables", "=", 
   RowBox[{"Union", "@", 
    RowBox[{"Cases", "[", 
     RowBox[{"eqnsTogether", ",", 
      RowBox[{"Subscript", "[", 
       RowBox[{"_", ",", "_"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "/@", 
  RowBox[{"{", 
   RowBox[{"eqnsTogether", ",", "unknownVariables"}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.686323252125*^9, 3.686323311484375*^9}, {
   3.686323384921875*^9, 3.68632340784375*^9}, {3.686323539125*^9, 
   3.686323660265625*^9}, {3.6863237423125*^9, 3.686323768453125*^9}, {
   3.686323838484375*^9, 3.686323858984375*^9}, 3.686324372234375*^9, {
   3.6863244051875*^9, 3.686324473171875*^9}, {3.686324504296875*^9, 
   3.68632457775*^9}, {3.686324611359375*^9, 3.686324635125*^9}, {
   3.686324671375*^9, 3.686324693328125*^9}, {3.686324741578125*^9, 
   3.686324789015625*^9}, {3.68632497278125*^9, 3.68632501803125*^9}, {
   3.686325060625*^9, 3.68632506421875*^9}, {3.686325146*^9, 
   3.686325231015625*^9}, {3.686325261109375*^9, 3.686325518875*^9}, {
   3.68632555503125*^9, 3.6863257609375*^9}, {3.686325887453125*^9, 
   3.686325922265625*^9}, {3.68632598828125*^9, 3.686325994640625*^9}, 
   3.686326092484375*^9, {3.686326561*^9, 3.68632662028125*^9}, {
   3.68632667290625*^9, 3.686326698015625*^9}, {3.686326728625*^9, 
   3.686326743703125*^9}, 3.68632820165625*^9, {3.68632934275*^9, 
   3.686329403734375*^9}, {3.686369759734375*^9, 
   3.686369759921875*^9}},ExpressionUUID->"853efc99-9044-410e-bcbc-\
0d6a40814674"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"18", ",", "18"}], "}"}]], "Output",
 CellChangeTimes->{
  3.8424923358743267`*^9},ExpressionUUID->"2b330cd5-02d4-449e-b346-\
c5c6abbdb4bc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"secondParamteterOfFindRoot", "=", 
   RowBox[{"unknownVariables", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       SubscriptBox["iim", "index_"], "\[RuleDelayed]", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["iim", "index"], ",", "1"}], "}"}]}], ",", 
      RowBox[{
       SubscriptBox["ire", "index_"], "\[RuleDelayed]", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["ire", "index"], ",", "1"}], "}"}]}], ",", 
      RowBox[{
       SubscriptBox["ure", "index_"], "\[RuleDelayed]", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["ure", "index"], ",", "Unom"}], "}"}]}], ",", 
      RowBox[{
       SubscriptBox["uim", "index_"], "\[RuleDelayed]", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["uim", "index"], ",", "Unom"}], "}"}]}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"solFindRoot", "=", 
  RowBox[{
   RowBox[{"FindRoot", "[", 
    RowBox[{"eqnsTogether", ",", "secondParamteterOfFindRoot"}], "]"}], "//", 
   "Chop"}]}]}], "Input",
 CellChangeTimes->{{3.686327757328125*^9, 3.686327926953125*^9}, {
  3.686327958671875*^9, 3.6863280118125*^9}, {3.68632822096875*^9, 
  3.68632822284375*^9}, {3.686328878609375*^9, 
  3.68632888253125*^9}},ExpressionUUID->"4fbadc51-1a73-4273-b3a6-\
f8b8f2b6057d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    SubscriptBox["iim", "1"], "\[Rule]", "3.6256443302614985`"}], ",", 
   RowBox[{
    SubscriptBox["iim", "2"], "\[Rule]", "1.3789685430951788`"}], ",", 
   RowBox[{
    SubscriptBox["iim", "3"], "\[Rule]", "5.0046128733566775`"}], ",", 
   RowBox[{
    SubscriptBox["iim", "4"], "\[Rule]", "3.4816518881494782`"}], ",", 
   RowBox[{
    SubscriptBox["iim", "5"], "\[Rule]", "1.5229609852071992`"}], ",", 
   RowBox[{
    SubscriptBox["ire", "1"], "\[Rule]", "2.9780232293360345`"}], ",", 
   RowBox[{
    SubscriptBox["ire", "2"], "\[Rule]", "1.1923826105388085`"}], ",", 
   RowBox[{
    SubscriptBox["ire", "3"], "\[Rule]", "4.170405839874842`"}], ",", 
   RowBox[{
    SubscriptBox["ire", "4"], "\[Rule]", "2.6146981516592738`"}], ",", 
   RowBox[{
    SubscriptBox["ire", "5"], "\[Rule]", "1.5557076882155687`"}], ",", 
   RowBox[{
    SubscriptBox["uim", "1"], "\[Rule]", "230.46289401192354`"}], ",", 
   RowBox[{
    SubscriptBox["uim", "2"], "\[Rule]", "237.1929383681106`"}], ",", 
   RowBox[{
    SubscriptBox["uim", "3"], "\[Rule]", "230.`"}], ",", 
   RowBox[{
    SubscriptBox["uim", "4"], "\[Rule]", "229.66636438617235`"}], ",", 
   RowBox[{
    SubscriptBox["ure", "1"], "\[Rule]", 
    RowBox[{"-", "0.3787549605492865`"}]}], ",", 
   RowBox[{
    SubscriptBox["ure", "2"], "\[Rule]", "5.617170916920248`"}], ",", 
   RowBox[{
    SubscriptBox["ure", "3"], "\[Rule]", "0"}], ",", 
   RowBox[{
    SubscriptBox["ure", "4"], "\[Rule]", "0.14597049767096282`"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.842492335905569*^9},ExpressionUUID->"30bafd53-2021-4d86-a769-\
5a1a3de0354f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"mf", "=", "MatrixForm"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vectfces", "=", 
   RowBox[{"First", "/@", "eqnsTogether"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vars", "=", "unknownVariables"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"grad", "[", "expr_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{"expr", ",", "#"}], "]"}], "&"}], "/@", "vars"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"jacobian", "=", 
   RowBox[{"grad", "/@", "vectfces"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mf", "@", "%"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xStart", "=", 
   RowBox[{"unknownVariables", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       SubscriptBox["iim", "index_"], "\[RuleDelayed]", "1"}], ",", 
      RowBox[{
       SubscriptBox["ire", "index_"], "\[RuleDelayed]", "1"}], ",", 
      RowBox[{
       SubscriptBox["ure", "index_"], "\[RuleDelayed]", "Unom"}], ",", 
      RowBox[{
       SubscriptBox["uim", "index_"], "\[RuleDelayed]", "Unom"}]}], "}"}]}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xNext", "[", "xPrevious_", "]"}], ":=", 
   RowBox[{"xPrevious", "-", 
    RowBox[{
     RowBox[{"Inverse", "[", 
      RowBox[{"jacobian", "/.", 
       RowBox[{"Thread", "[", 
        RowBox[{"vars", "\[Rule]", "xPrevious"}], "]"}]}], "]"}], ".", 
     RowBox[{"(", 
      RowBox[{"vectfces", "/.", 
       RowBox[{"Thread", "[", 
        RowBox[{"vars", "\[Rule]", "xPrevious"}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"aux", "=", 
   RowBox[{
    RowBox[{"NestList", "[", 
     RowBox[{"xNext", ",", "xStart", ",", "50"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"-", "1"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Thread", "[", 
  RowBox[{"vars", "\[Rule]", "aux"}], 
  "]"}], "\[IndentingNewLine]", "solFindRoot"}], "Input",
 CellChangeTimes->{{3.686328502015625*^9, 3.68632853075*^9}, {
  3.6863285624375*^9, 3.686328610890625*^9}, {3.68632872553125*^9, 
  3.686328893890625*^9}},ExpressionUUID->"57d90fed-dc25-4858-b876-\
091e4a840538"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    SubscriptBox["iim", "1"], "\[Rule]", "3.6256443302614985`"}], ",", 
   RowBox[{
    SubscriptBox["iim", "2"], "\[Rule]", "1.378968543095179`"}], ",", 
   RowBox[{
    SubscriptBox["iim", "3"], "\[Rule]", "5.0046128733566775`"}], ",", 
   RowBox[{
    SubscriptBox["iim", "4"], "\[Rule]", "3.481651888149478`"}], ",", 
   RowBox[{
    SubscriptBox["iim", "5"], "\[Rule]", "1.5229609852071992`"}], ",", 
   RowBox[{
    SubscriptBox["ire", "1"], "\[Rule]", "2.9780232293360345`"}], ",", 
   RowBox[{
    SubscriptBox["ire", "2"], "\[Rule]", "1.1923826105388085`"}], ",", 
   RowBox[{
    SubscriptBox["ire", "3"], "\[Rule]", "4.170405839874843`"}], ",", 
   RowBox[{
    SubscriptBox["ire", "4"], "\[Rule]", "2.6146981516592738`"}], ",", 
   RowBox[{
    SubscriptBox["ire", "5"], "\[Rule]", "1.555707688215569`"}], ",", 
   RowBox[{
    SubscriptBox["uim", "1"], "\[Rule]", "230.46289401192354`"}], ",", 
   RowBox[{
    SubscriptBox["uim", "2"], "\[Rule]", "237.1929383681106`"}], ",", 
   RowBox[{
    SubscriptBox["uim", "3"], "\[Rule]", "230.`"}], ",", 
   RowBox[{
    SubscriptBox["uim", "4"], "\[Rule]", "229.66636438617235`"}], ",", 
   RowBox[{
    SubscriptBox["ure", "1"], "\[Rule]", 
    RowBox[{"-", "0.3787549605492865`"}]}], ",", 
   RowBox[{
    SubscriptBox["ure", "2"], "\[Rule]", "5.617170916920246`"}], ",", 
   RowBox[{
    SubscriptBox["ure", "3"], "\[Rule]", "0.`"}], ",", 
   RowBox[{
    SubscriptBox["ure", "4"], "\[Rule]", "0.14597049767096282`"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.8424923359745693`*^9},ExpressionUUID->"1512b976-1879-43e7-a60e-\
927bb88f8485"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    SubscriptBox["iim", "1"], "\[Rule]", "3.6256443302614985`"}], ",", 
   RowBox[{
    SubscriptBox["iim", "2"], "\[Rule]", "1.3789685430951788`"}], ",", 
   RowBox[{
    SubscriptBox["iim", "3"], "\[Rule]", "5.0046128733566775`"}], ",", 
   RowBox[{
    SubscriptBox["iim", "4"], "\[Rule]", "3.4816518881494782`"}], ",", 
   RowBox[{
    SubscriptBox["iim", "5"], "\[Rule]", "1.5229609852071992`"}], ",", 
   RowBox[{
    SubscriptBox["ire", "1"], "\[Rule]", "2.9780232293360345`"}], ",", 
   RowBox[{
    SubscriptBox["ire", "2"], "\[Rule]", "1.1923826105388085`"}], ",", 
   RowBox[{
    SubscriptBox["ire", "3"], "\[Rule]", "4.170405839874842`"}], ",", 
   RowBox[{
    SubscriptBox["ire", "4"], "\[Rule]", "2.6146981516592738`"}], ",", 
   RowBox[{
    SubscriptBox["ire", "5"], "\[Rule]", "1.5557076882155687`"}], ",", 
   RowBox[{
    SubscriptBox["uim", "1"], "\[Rule]", "230.46289401192354`"}], ",", 
   RowBox[{
    SubscriptBox["uim", "2"], "\[Rule]", "237.1929383681106`"}], ",", 
   RowBox[{
    SubscriptBox["uim", "3"], "\[Rule]", "230.`"}], ",", 
   RowBox[{
    SubscriptBox["uim", "4"], "\[Rule]", "229.66636438617235`"}], ",", 
   RowBox[{
    SubscriptBox["ure", "1"], "\[Rule]", 
    RowBox[{"-", "0.3787549605492865`"}]}], ",", 
   RowBox[{
    SubscriptBox["ure", "2"], "\[Rule]", "5.617170916920248`"}], ",", 
   RowBox[{
    SubscriptBox["ure", "3"], "\[Rule]", "0"}], ",", 
   RowBox[{
    SubscriptBox["ure", "4"], "\[Rule]", "0.14597049767096282`"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.8424923359901905`*^9},ExpressionUUID->"4c393327-07b0-4381-9fad-\
b418b38453b0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mf", "@", 
  RowBox[{"(", 
   RowBox[{"Chop", "@", "jacobian"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.6863292439375*^9, 3.686329247578125*^9}, 
   3.68632932628125*^9, {3.68632945040625*^9, 3.686329468078125*^9}, {
   3.686369802109375*^9, 
   3.686369832921875*^9}},ExpressionUUID->"2691356d-6324-4d94-be54-\
b1c11c14e2cd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "1", 
      RowBox[{"-", "1"}], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0"},
     {"0", "0", 
      RowBox[{"-", "1"}], "1", "1", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "1", 
      RowBox[{"-", "1"}], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "1", "1", "0", "0", "0", "0", "0", "0", "0", "0"},
     {
      RowBox[{"-", 
       SubscriptBox["ure", "1"]}], 
      RowBox[{"2.5`", " ", 
       SubscriptBox["ure", "2"]}], "0", "0", "0", 
      SubscriptBox["uim", "1"], 
      RowBox[{
       RowBox[{"-", "2.5`"}], " ", 
       SubscriptBox["uim", "2"]}], "0", "0", "0", 
      SubscriptBox["ire", "1"], 
      RowBox[{
       RowBox[{"-", "2.5`"}], " ", 
       SubscriptBox["ire", "2"]}], "0", "0", 
      RowBox[{"-", 
       SubscriptBox["iim", "1"]}], 
      RowBox[{"2.5`", " ", 
       SubscriptBox["iim", "2"]}], "0", "0"},
     {
      SubscriptBox["uim", "1"], 
      RowBox[{
       RowBox[{"-", "2.5`"}], " ", 
       SubscriptBox["uim", "2"]}], "0", "0", "0", 
      SubscriptBox["ure", "1"], 
      RowBox[{
       RowBox[{"-", "2.5`"}], " ", 
       SubscriptBox["ure", "2"]}], "0", "0", "0", 
      SubscriptBox["iim", "1"], 
      RowBox[{
       RowBox[{"-", "2.5`"}], " ", 
       SubscriptBox["iim", "2"]}], "0", "0", 
      SubscriptBox["ire", "1"], 
      RowBox[{
       RowBox[{"-", "2.5`"}], " ", 
       SubscriptBox["ire", "2"]}], "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", 
      RowBox[{"-", "7.692307692307692`"}], "0", "7.692307692307692`", "0", 
      RowBox[{"-", "1.5384615384615383`"}], "0", "1.5384615384615383`", "0"},
     {"1", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1.5384615384615383`"}], "0", "1.5384615384615383`", "0", 
      "7.692307692307692`", "0", 
      RowBox[{"-", "7.692307692307692`"}], "0"},
     {"0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", 
      RowBox[{"-", "0.00997506234413965`"}], "0.00997506234413965`", "0", "0", 
      RowBox[{"-", "0.19950124688279303`"}], "0.19950124688279303`", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "0.19950124688279303`"}], "0.19950124688279303`", "0", "0",
       "0.00997506234413965`", 
      RowBox[{"-", "0.00997506234413965`"}], "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "1", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"2", " ", 
       SubscriptBox["uim", "3"]}], "0", "0", "0", 
      RowBox[{"2", " ", 
       SubscriptBox["ure", "3"]}], "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", 
      RowBox[{"-", "15.999999999999998`"}], "15.999999999999998`", "0", "0", 
      RowBox[{"-", "7.999999999999999`"}], "7.999999999999999`"},
     {"0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "7.999999999999999`"}], "7.999999999999999`", "0", "0", 
      "15.999999999999998`", 
      RowBox[{"-", "15.999999999999998`"}]},
     {"0", "0", "0", 
      RowBox[{"-", 
       SubscriptBox["ure", "4"]}], "0", "0", "0", "0", 
      SubscriptBox["uim", "4"], "0", "0", "0", "0", 
      SubscriptBox["ire", "4"], "0", "0", "0", 
      RowBox[{"-", 
       SubscriptBox["iim", "4"]}]},
     {"0", "0", "0", "0", 
      RowBox[{"-", 
       SubscriptBox["ure", "4"]}], "0", "0", "0", "0", 
      SubscriptBox["uim", "4"], "0", "0", "0", 
      SubscriptBox["ire", "5"], "0", "0", "0", 
      RowBox[{"-", 
       SubscriptBox["iim", "5"]}]},
     {"0", "0", "0", 
      SubscriptBox["uim", "4"], "0", "0", "0", "0", 
      SubscriptBox["ure", "4"], "0", "0", "0", "0", 
      SubscriptBox["iim", "4"], "0", "0", "0", 
      SubscriptBox["ire", "4"]},
     {"0", "0", "0", "0", 
      SubscriptBox["uim", "4"], "0", "0", "0", "0", 
      SubscriptBox["ure", "4"], "0", "0", "0", 
      SubscriptBox["iim", "5"], "0", "0", "0", 
      SubscriptBox["ire", "5"]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.842492336043564*^9},ExpressionUUID->"a1a90d17-60fb-456c-8efb-\
16d484bd5a64"]
}, Open  ]]
},
WindowSize->{1024, 685},
WindowMargins->{{83, Automatic}, {Automatic, 6}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification:>2.2 Inherited,
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1033, 30, 350, "Input",ExpressionUUID->"5f99be5e-536f-498d-ba57-4445edc459ec"],
Cell[1594, 52, 854, 25, 193, "Input",ExpressionUUID->"fe222c62-ebb0-4afd-9ee2-83eb715e0222"],
Cell[2451, 79, 1537, 48, 350, "Input",ExpressionUUID->"1b6c7b71-2e9d-4942-9c98-57ff9ebcd0a9"],
Cell[CellGroupData[{
Cell[4013, 131, 293, 7, 91, "Input",ExpressionUUID->"0c15ea19-8710-44cd-98e0-0cd95db39fb2"],
Cell[4309, 140, 301, 7, 99, "Output",ExpressionUUID->"e4bceb1d-28e0-4632-aa30-1bf7388cba9c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4647, 152, 240, 5, 91, "Input",ExpressionUUID->"06125248-05c6-451a-84e4-4ce0b191d58e"],
Cell[4890, 159, 196, 3, 99, "Output",ExpressionUUID->"1865bf15-a52d-4b0a-9709-567802be227d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5123, 167, 229, 4, 91, "Input",ExpressionUUID->"0f7a9631-fce7-4240-a07c-c7b032fc4d69"],
Cell[5355, 173, 315, 7, 132, "Output",ExpressionUUID->"a8776675-7c09-489b-92b4-fe1531ae8811"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5707, 185, 373, 9, 91, "Input",ExpressionUUID->"fbd3ae72-b461-42f6-b125-2eef95c7f807"],
Cell[6083, 196, 275, 7, 99, "Output",ExpressionUUID->"e4887d4b-08d6-45dc-aa88-de6990b9f5cc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6395, 208, 463, 11, 91, "Input",ExpressionUUID->"a5612d31-01ae-4e76-971b-12feca172c74"],
Cell[6861, 221, 1064, 28, 186, "Output",ExpressionUUID->"2675ab4a-3b01-489d-a5c8-ebddce41fa04"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7962, 254, 356, 8, 91, "Input",ExpressionUUID->"0252d234-9aee-434a-9b51-5188ae9bb6b4"],
Cell[8321, 264, 323, 7, 99, "Output",ExpressionUUID->"c2086b7d-ec6d-43c3-abfd-9f42f423c3f6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8681, 276, 510, 12, 91, "Input",ExpressionUUID->"bd51ac37-7232-4638-ab9e-63047f30cd8f"],
Cell[9194, 290, 1183, 31, 186, "Output",ExpressionUUID->"e414dce0-e758-474d-ac50-0fb1b9a27fd7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10414, 326, 426, 12, 91, "Input",ExpressionUUID->"ed1e8237-83b5-4673-b965-b1b5a795c09f"],
Cell[10843, 340, 1106, 37, 154, "Output",ExpressionUUID->"5e24d0db-789a-4089-84ce-c476b50fb6ca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11986, 382, 1536, 43, 451, "Input",ExpressionUUID->"498cabb4-bff5-417d-92c8-714a9d68c018"],
Cell[13525, 427, 322, 7, 100, "Output",ExpressionUUID->"023472d9-3298-4589-9b29-bbf3b0ea05e1"],
Cell[13850, 436, 519, 14, 100, "Output",ExpressionUUID->"f93183c4-1fa6-4501-86c4-ab6f17f8026d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14406, 455, 4213, 127, 1010, "Input",ExpressionUUID->"a7b9e635-b099-4170-929a-ea3ae4544ce8"],
Cell[18622, 584, 277, 7, 77, "Output",ExpressionUUID->"b90db5c6-31a9-4d94-a261-72223f86cfc6"]
}, Open  ]],
Cell[18914, 594, 7037, 205, 77, "Input",ExpressionUUID->"4bb28f80-9b3a-4bc1-b609-309048cc817a"],
Cell[CellGroupData[{
Cell[25976, 803, 7781, 228, 77, "Input",ExpressionUUID->"853efc99-9044-410e-bcbc-0d6a40814674"],
Cell[33760, 1033, 179, 5, 77, "Output",ExpressionUUID->"2b330cd5-02d4-449e-b346-c5c6abbdb4bc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33976, 1043, 1331, 36, 77, "Input",ExpressionUUID->"4fbadc51-1a73-4273-b3a6-f8b8f2b6057d"],
Cell[35310, 1081, 1656, 43, 77, "Output",ExpressionUUID->"30bafd53-2021-4d86-a769-5a1a3de0354f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37003, 1129, 2214, 62, 77, "Input",ExpressionUUID->"57d90fed-dc25-4858-b876-091e4a840538"],
Cell[39220, 1193, 1657, 43, 77, "Output",ExpressionUUID->"1512b976-1879-43e7-a60e-927bb88f8485"],
Cell[40880, 1238, 1658, 43, 77, "Output",ExpressionUUID->"4c393327-07b0-4381-9fad-b418b38453b0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42575, 1286, 352, 8, 77, "Input",ExpressionUUID->"2691356d-6324-4d94-be54-b1c11c14e2cd"],
Cell[42930, 1296, 4757, 114, 77, "Output",ExpressionUUID->"a1a90d17-60fb-456c-8efb-16d484bd5a64"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

