(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     35542,        940]
NotebookOptionsPosition[     31676,        867]
NotebookOutlinePosition[     32125,        884]
CellTagsIndexPosition[     32082,        881]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[11]:=",ExpressionUUID->"2dc8aeea-fed9-4681-8d11-bf4b15488a67"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"costCoefficients", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"100", ",", "0.1", ",", "0.01"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"50", ",", "0.15", ",", "0.015"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"150", ",", "0.08", ",", "0.006"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"minMaxPowers", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"100", ",", "400"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"50", ",", "200"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"200", ",", "1000"}], "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.482721896609375*^9, 3.482722028265625*^9}, {
  3.4827221586875*^9, 3.48272216184375*^9}, {3.688282390202379*^9, 
  3.688282403805603*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"90dc6099-2418-4289-9f91-8ecab34fecd3"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"fCost", "[", 
    RowBox[{"power_", ",", 
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}]}], "]"}], ":=", 
   RowBox[{"a", "+", 
    RowBox[{"b", "*", "power"}], "+", 
    RowBox[{"c", "*", 
     SuperscriptBox["power", "2"]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6882824195772305`*^9, 3.688282420778433*^9}, {
  3.6882824978581686`*^9, 3.6882825041449795`*^9}, {3.688282570959897*^9, 
  3.6882825924255342`*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"8dbde561-5820-4726-86a8-8e9e42b9ceed"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"fCost", "[", 
  RowBox[{"P", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6882825204158077`*^9, 3.6882825290270233`*^9}, 
   3.688282596060341*^9},
 CellLabel->"In[16]:=",ExpressionUUID->"483786fc-973c-485c-ba0d-775ca54b3f31"],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{"2", " ", "P"}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["P", "2"]}]}]], "Output",
 CellChangeTimes->{3.907208634928279*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"7d19a7c2-5657-45aa-82d7-7ed959de0b48"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"powers", "=", 
  RowBox[{
   RowBox[{
    SubscriptBox["P", "#"], "&"}], "/@", 
   RowBox[{"Range", "[", "n", "]"}]}]}]], "Input",
 CellLabel->"In[17]:=",ExpressionUUID->"b1a3832a-ad73-4717-b64e-800ef61ccc12"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   SubscriptBox["P", "1"], ",", 
   SubscriptBox["P", "2"], ",", 
   SubscriptBox["P", "3"]}], "}"}]], "Output",
 CellChangeTimes->{3.875759501265625*^9, 3.9072086791608377`*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"59c2a880-d054-44f1-8368-6f2bb866656d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"cost", "=", 
   RowBox[{"Total", "[", 
    RowBox[{"MapThread", "[", 
     RowBox[{"fCost", ",", 
      RowBox[{"{", 
       RowBox[{"powers", ",", "costCoefficients"}], "}"}]}], "]"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.688282620068783*^9, 3.688282641799621*^9}, 
   3.87575949815625*^9, {3.9072088097917624`*^9, 3.907208813931119*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"1264b0c1-58b9-4c32-864c-c4bfcb121a46"],

Cell[BoxData[
 RowBox[{"300", "+", 
  RowBox[{"0.1`", " ", 
   SubscriptBox["P", "1"]}], "+", 
  RowBox[{"0.01`", " ", 
   SubsuperscriptBox["P", "1", "2"]}], "+", 
  RowBox[{"0.15`", " ", 
   SubscriptBox["P", "2"]}], "+", 
  RowBox[{"0.015`", " ", 
   SubsuperscriptBox["P", "2", "2"]}], "+", 
  RowBox[{"0.08`", " ", 
   SubscriptBox["P", "3"]}], "+", 
  RowBox[{"0.006`", " ", 
   SubsuperscriptBox["P", "3", "2"]}]}]], "Output",
 CellChangeTimes->{3.875759513859375*^9, 3.907208702937606*^9, 
  3.9072088145713053`*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"a600fdc4-954d-4398-97ad-3ca4112e6690"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"fPowerConstrains", "[", 
    RowBox[{"power_", ",", 
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_"}], "}"}]}], "]"}], ":=", 
   RowBox[{"a", "\[LessEqual]", "power", "\[LessEqual]", "b"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"powerConstrains", "=", 
  RowBox[{"MapThread", "[", 
   RowBox[{"fPowerConstrains", ",", 
    RowBox[{"{", 
     RowBox[{"powers", ",", "minMaxPowers"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.688282714136948*^9, 3.688282748129408*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"5dd373d8-4c3c-4874-8686-30e4fd6eaa72"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"100", "\[LessEqual]", 
    SubscriptBox["P", "1"], "\[LessEqual]", "400"}], ",", 
   RowBox[{"50", "\[LessEqual]", 
    SubscriptBox["P", "2"], "\[LessEqual]", "200"}], ",", 
   RowBox[{"200", "\[LessEqual]", 
    SubscriptBox["P", "3"], "\[LessEqual]", "1000"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8757596115*^9, {3.907208913538416*^9, 3.907208935085252*^9}},
 CellLabel->"Out[23]=",ExpressionUUID->"d45473b2-feed-4e9c-9a13-6bec34f74be9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"desiredPower", "=", "500"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"conditionOfDesiredPower", "=", 
  RowBox[{"{", 
   RowBox[{"desiredPower", "\[Equal]", 
    RowBox[{"Total", "[", "powers", "]"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.6882827763654575`*^9, 3.6882828010447006`*^9}, {
  3.844309941484375*^9, 3.844309945625*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"51ea4143-369a-498b-a194-2790ea792dbc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"500", "\[Equal]", 
   RowBox[{
    SubscriptBox["P", "1"], "+", 
    SubscriptBox["P", "2"], "+", 
    SubscriptBox["P", "3"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.875759634328125*^9, 3.9072089899942627`*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"8ddbea4e-6166-41bb-b10a-86c70a726a8a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"condionsTogether", "=", 
  RowBox[{"Union", "[", 
   RowBox[{"powerConstrains", ",", "conditionOfDesiredPower"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.68828286884242*^9, 3.6882828998240747`*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"55854a81-3aa3-4143-9d1d-5bb5851fe524"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"500", "\[Equal]", 
    RowBox[{
     SubscriptBox["P", "1"], "+", 
     SubscriptBox["P", "2"], "+", 
     SubscriptBox["P", "3"]}]}], ",", 
   RowBox[{"50", "\[LessEqual]", 
    SubscriptBox["P", "2"], "\[LessEqual]", "200"}], ",", 
   RowBox[{"100", "\[LessEqual]", 
    SubscriptBox["P", "1"], "\[LessEqual]", "400"}], ",", 
   RowBox[{"200", "\[LessEqual]", 
    SubscriptBox["P", "3"], "\[LessEqual]", "1000"}]}], "}"}]], "Output",
 CellChangeTimes->{3.87575965346875*^9, 3.9072089972248116`*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"30f4d26c-0a62-4549-891d-d487039c58b9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Join", "[", 
  RowBox[{
   RowBox[{"{", "cost", "}"}], ",", "condionsTogether"}], "]"}]], "Input",
 CellLabel->"In[27]:=",ExpressionUUID->"c000a532-a758-4915-91c0-ce53b7a4f0fa"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"300", "+", 
    RowBox[{"0.1`", " ", 
     SubscriptBox["P", "1"]}], "+", 
    RowBox[{"0.01`", " ", 
     SubsuperscriptBox["P", "1", "2"]}], "+", 
    RowBox[{"0.15`", " ", 
     SubscriptBox["P", "2"]}], "+", 
    RowBox[{"0.015`", " ", 
     SubsuperscriptBox["P", "2", "2"]}], "+", 
    RowBox[{"0.08`", " ", 
     SubscriptBox["P", "3"]}], "+", 
    RowBox[{"0.006`", " ", 
     SubsuperscriptBox["P", "3", "2"]}]}], ",", 
   RowBox[{"500", "\[Equal]", 
    RowBox[{
     SubscriptBox["P", "1"], "+", 
     SubscriptBox["P", "2"], "+", 
     SubscriptBox["P", "3"]}]}], ",", 
   RowBox[{"50", "\[LessEqual]", 
    SubscriptBox["P", "2"], "\[LessEqual]", "200"}], ",", 
   RowBox[{"100", "\[LessEqual]", 
    SubscriptBox["P", "1"], "\[LessEqual]", "400"}], ",", 
   RowBox[{"200", "\[LessEqual]", 
    SubscriptBox["P", "3"], "\[LessEqual]", "1000"}]}], "}"}]], "Output",
 CellChangeTimes->{3.875759694015625*^9, 3.9072090507430153`*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"1e0ae979-deec-4e6e-a3c3-e9746ccf96e0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"NMinimize", "[", 
   RowBox[{
    RowBox[{"Join", "[", 
     RowBox[{
      RowBox[{"{", "cost", "}"}], ",", "condionsTogether"}], "]"}], ",", 
    "powers"}], "]"}], "//", "Timing"}]], "Input",
 CellChangeTimes->{{3.8443099710625*^9, 3.844309993640625*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"75dc7c42-8f00-4ac9-b39d-118822229923"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.03125`", ",", 
   RowBox[{"{", 
    RowBox[{"1099.9416666666666`", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SubscriptBox["P", "1"], "\[Rule]", "150.0000000000018`"}], ",", 
       RowBox[{
        SubscriptBox["P", "2"], "\[Rule]", "98.33333333302589`"}], ",", 
       RowBox[{
        SubscriptBox["P", "3"], "\[Rule]", "251.66666666697228`"}]}], "}"}]}],
     "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8757597239375*^9, 3.907209088249853*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"bffa301b-9fa4-4b22-9af3-2e28c0042499"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "+", "4"}]], "Input",
 CellChangeTimes->{{3.9072098780588727`*^9, 3.9072098791523504`*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"339b761c-a164-477a-a35c-5d3f6deaa605"],

Cell[BoxData["3"], "Output",
 CellChangeTimes->{3.9072098796519785`*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"a5ce3da5-6a04-4da7-86ee-dcced8bb8e34"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"k", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"penale", "[", "x_", "]"}], ":=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"x", "-", "1.5"}], ")"}], "2"], 
    RowBox[{"(", 
     RowBox[{"2", "-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Tanh", "[", 
         RowBox[{"k", "*", 
          RowBox[{"(", 
           RowBox[{"x", "+", "1"}], ")"}]}], "]"}], "-", 
        RowBox[{"Tanh", "[", 
         RowBox[{"k", "*", 
          RowBox[{"(", 
           RowBox[{"x", "-", "4"}], ")"}]}], "]"}]}], ")"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"penale", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "10"}], ",", "13"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{
  3.907209457803176*^9, {3.9072095357067804`*^9, 3.907209540590732*^9}, {
   3.9072095919065604`*^9, 3.9072096016715703`*^9}, {3.9072096571134005`*^9, 
   3.907209740295598*^9}, {3.9072097759360557`*^9, 3.9072098079227047`*^9}, {
   3.907209857657401*^9, 3.907209903153717*^9}},
 CellLabel->"In[61]:=",ExpressionUUID->"b8ac46bb-3cc1-4faa-8afd-fd50606e4158"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJxF2Wc8l+8bN3DJnl+ZZY/oa0RGFNd1HVFUVkZWhYwkGSmyKkopSUh+qBSV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       "]]},
     Annotation[#, "Charting`Private`Tag$20331#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  ImageSize->{281.8181818181836, Automatic},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.907209602015273*^9, {3.9072096807951155`*^9, 3.907209740818918*^9}, {
   3.907209802053125*^9, 3.9072098088404417`*^9}, 3.907209858203848*^9, {
   3.9072098920240493`*^9, 3.907209903387575*^9}},
 CellLabel->"Out[63]=",ExpressionUUID->"8647a060-4cd3-4ffd-bf28-1122c44e4145"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"strmost", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ClearAll", "[", "fPenale", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"fPenale", "[", 
     RowBox[{"x_", ",", 
      RowBox[{"{", 
       RowBox[{"a_", ",", "b_"}], "}"}]}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"2", "+", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Tanh", "[", 
           RowBox[{"strmost", "*", 
            RowBox[{"(", 
             RowBox[{"x", "-", "a"}], ")"}]}], "]"}]}], "+", 
         RowBox[{"Tanh", "[", 
          RowBox[{"strmost", "*", 
           RowBox[{"(", 
            RowBox[{"x", "-", "b"}], ")"}]}], "]"}]}], ")"}]}], ")"}], "*", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"x", "-", 
        RowBox[{"0.5", "*", 
         RowBox[{"(", 
          RowBox[{"a", "+", "b"}], ")"}]}]}], ")"}], "2"]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"fPenale", "[", 
     RowBox[{"x", ",", 
      RowBox[{"{", 
       RowBox[{"20", ",", "40"}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "10", ",", "50"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<penale\>\""}], "}"}]}]}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.844310042296875*^9, 3.844310042546875*^9}, 
   3.875759759296875*^9},ExpressionUUID->"35573b4d-ef42-47eb-aeff-\
70abaa1b1b41"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"penaleCelkovyVykon", "=", 
  RowBox[{"100", "*", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"desiredPower", "-", 
      RowBox[{"Total", "[", "powers", "]"}]}], ")"}], 
    "2"]}]}], "\[IndentingNewLine]", 
 RowBox[{"penaleVykonovaOmezeni", "=", 
  RowBox[{"Plus", "@@", 
   RowBox[{"MapThread", "[", 
    RowBox[{"fPenale", ",", 
     RowBox[{"{", 
      RowBox[{"powers", ",", "minMaxPowers"}], "}"}]}], "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.844310083015625*^9, 3.844310114890625*^9}, {
  3.87575982178125*^9, 
  3.875759825609375*^9}},ExpressionUUID->"63a922a3-8046-4cc2-8098-\
6fe8f75a9219"],

Cell[BoxData[
 RowBox[{"100", " ", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"500", "-", 
     SubscriptBox["P", "1"], "-", 
     SubscriptBox["P", "2"], "-", 
     SubscriptBox["P", "3"]}], ")"}], "2"]}]], "Output",
 CellChangeTimes->{{3.87575982228125*^9, 
  3.87575982721875*^9}},ExpressionUUID->"d825d34c-8451-45d1-af56-\
9b727dd20b7d"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "250.`"}], "+", 
      SubscriptBox["P", "1"]}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", 
     RowBox[{"Tanh", "[", 
      RowBox[{"10", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "400"}], "+", 
         SubscriptBox["P", "1"]}], ")"}]}], "]"}], "-", 
     RowBox[{"Tanh", "[", 
      RowBox[{"10", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "100"}], "+", 
         SubscriptBox["P", "1"]}], ")"}]}], "]"}]}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "125.`"}], "+", 
      SubscriptBox["P", "2"]}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", 
     RowBox[{"Tanh", "[", 
      RowBox[{"10", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "200"}], "+", 
         SubscriptBox["P", "2"]}], ")"}]}], "]"}], "-", 
     RowBox[{"Tanh", "[", 
      RowBox[{"10", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "50"}], "+", 
         SubscriptBox["P", "2"]}], ")"}]}], "]"}]}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "600.`"}], "+", 
      SubscriptBox["P", "3"]}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", 
     RowBox[{"Tanh", "[", 
      RowBox[{"10", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1000"}], "+", 
         SubscriptBox["P", "3"]}], ")"}]}], "]"}], "-", 
     RowBox[{"Tanh", "[", 
      RowBox[{"10", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "200"}], "+", 
         SubscriptBox["P", "3"]}], ")"}]}], "]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.87575982228125*^9, 
  3.87575982721875*^9}},ExpressionUUID->"6dadbafc-e8a3-408a-a786-\
89547b9bbd61"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FminNeomezena", "=", 
  RowBox[{
  "cost", "+", "penaleCelkovyVykon", "+", 
   "penaleVykonovaOmezeni"}]}]], "Input",
 CellChangeTimes->{{3.84431012025*^9, 
  3.844310120796875*^9}},ExpressionUUID->"13d2584b-13f6-48b6-816c-\
ea5255109553"],

Cell[BoxData[
 RowBox[{"300", "+", 
  RowBox[{"0.1`", " ", 
   SubscriptBox["P", "1"]}], "+", 
  RowBox[{"0.01`", " ", 
   SubsuperscriptBox["P", "1", "2"]}], "+", 
  RowBox[{"0.15`", " ", 
   SubscriptBox["P", "2"]}], "+", 
  RowBox[{"0.015`", " ", 
   SubsuperscriptBox["P", "2", "2"]}], "+", 
  RowBox[{"100", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"500", "-", 
      SubscriptBox["P", "1"], "-", 
      SubscriptBox["P", "2"], "-", 
      SubscriptBox["P", "3"]}], ")"}], "2"]}], "+", 
  RowBox[{"0.08`", " ", 
   SubscriptBox["P", "3"]}], "+", 
  RowBox[{"0.006`", " ", 
   SubsuperscriptBox["P", "3", "2"]}], "+", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "250.`"}], "+", 
      SubscriptBox["P", "1"]}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", 
     RowBox[{"Tanh", "[", 
      RowBox[{"10", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "400"}], "+", 
         SubscriptBox["P", "1"]}], ")"}]}], "]"}], "-", 
     RowBox[{"Tanh", "[", 
      RowBox[{"10", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "100"}], "+", 
         SubscriptBox["P", "1"]}], ")"}]}], "]"}]}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "125.`"}], "+", 
      SubscriptBox["P", "2"]}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", 
     RowBox[{"Tanh", "[", 
      RowBox[{"10", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "200"}], "+", 
         SubscriptBox["P", "2"]}], ")"}]}], "]"}], "-", 
     RowBox[{"Tanh", "[", 
      RowBox[{"10", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "50"}], "+", 
         SubscriptBox["P", "2"]}], ")"}]}], "]"}]}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "600.`"}], "+", 
      SubscriptBox["P", "3"]}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", 
     RowBox[{"Tanh", "[", 
      RowBox[{"10", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1000"}], "+", 
         SubscriptBox["P", "3"]}], ")"}]}], "]"}], "-", 
     RowBox[{"Tanh", "[", 
      RowBox[{"10", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "200"}], "+", 
         SubscriptBox["P", "3"]}], ")"}]}], "]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{
  3.875759841046875*^9},ExpressionUUID->"ad7e962a-aa17-4c20-a35a-\
734ab47719a5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"startHledani", "=", 
  RowBox[{"minMaxPowers", "/.", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a_", ",", "b_"}], "}"}], "\[RuleDelayed]", 
    FractionBox[
     RowBox[{"a", "+", "b"}], "2."]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"zacatek", "=", 
  RowBox[{"Thread", "[", 
   RowBox[{"{", 
    RowBox[{"powers", ",", "startHledani"}], "}"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"FindMinimum", "[", 
    RowBox[{"FminNeomezena", ",", "zacatek"}], "]"}]}], "//", 
  "AbsoluteTiming"}]}], "Input",
 CellChangeTimes->{{3.844310162046875*^9, 3.844310178796875*^9}, {
  3.875759968953125*^9, 
  3.875759974390625*^9}},ExpressionUUID->"1e3e338f-3bee-4161-8fea-\
dc095733a969"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"250.`", ",", "125.`", ",", "600.`"}], "}"}]], "Output",
 CellChangeTimes->{{3.87575989259375*^9, 3.8757599111875*^9}, 
   3.875759942875*^9, 
   3.87575997509375*^9},ExpressionUUID->"7b2d2e1d-8442-4a81-8fd1-\
11fc1c6bcaea"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["P", "1"], ",", "250.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["P", "2"], ",", "125.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["P", "3"], ",", "600.`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.87575989259375*^9, 3.8757599111875*^9}, 
   3.875759942875*^9, 
   3.87575997509375*^9},ExpressionUUID->"2272ec81-904f-42e5-a1f6-\
545793f16092"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.`", ",", 
   RowBox[{"{", 
    RowBox[{"1099.917642387395`", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SubscriptBox["P", "1"], "\[Rule]", "149.99535017812127`"}], ",", 
       RowBox[{
        SubscriptBox["P", "2"], "\[Rule]", "98.33023339565574`"}], ",", 
       RowBox[{
        SubscriptBox["P", "3"], "\[Rule]", "251.6589168911566`"}]}], "}"}]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.87575989259375*^9, 3.8757599111875*^9}, 
   3.875759942875*^9, 
   3.87575997509375*^9},ExpressionUUID->"e337b427-52ca-4eda-a74c-\
b75cee0193cd"]
}, Open  ]]
},
WindowSize->{1158, 701},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification:>2.2 Inherited,
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 173, 3, 62, "Input",ExpressionUUID->"2dc8aeea-fed9-4681-8d11-bf4b15488a67"],
Cell[734, 25, 976, 27, 192, "Input",ExpressionUUID->"90dc6099-2418-4289-9f91-8ecab34fecd3"],
Cell[1713, 54, 567, 14, 62, "Input",ExpressionUUID->"8dbde561-5820-4726-86a8-8e9e42b9ceed"],
Cell[CellGroupData[{
Cell[2305, 72, 315, 7, 62, "Input",ExpressionUUID->"483786fc-973c-485c-ba0d-775ca54b3f31"],
Cell[2623, 81, 252, 6, 71, "Output",ExpressionUUID->"7d19a7c2-5657-45aa-82d7-7ed959de0b48"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2912, 92, 233, 6, 62, "Input",ExpressionUUID->"b1a3832a-ad73-4717-b64e-800ef61ccc12"],
Cell[3148, 100, 297, 7, 71, "Output",ExpressionUUID->"59c2a880-d054-44f1-8368-6f2bb866656d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3482, 112, 487, 11, 106, "Input",ExpressionUUID->"1264b0c1-58b9-4c32-864c-c4bfcb121a46"],
Cell[3972, 125, 603, 16, 74, "Output",ExpressionUUID->"a600fdc4-954d-4398-97ad-3ca4112e6690"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4612, 146, 613, 15, 106, "Input",ExpressionUUID->"5dd373d8-4c3c-4874-8686-30e4fd6eaa72"],
Cell[5228, 163, 500, 11, 99, "Output",ExpressionUUID->"d45473b2-feed-4e9c-9a13-6bec34f74be9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5765, 179, 453, 9, 135, "Input",ExpressionUUID->"51ea4143-369a-498b-a194-2790ea792dbc"],
Cell[6221, 190, 333, 8, 99, "Output",ExpressionUUID->"8ddbea4e-6166-41bb-b10a-86c70a726a8a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6591, 203, 306, 6, 135, "Input",ExpressionUUID->"55854a81-3aa3-4143-9d1d-5bb5851fe524"],
Cell[6900, 211, 632, 15, 99, "Output",ExpressionUUID->"30f4d26c-0a62-4549-891d-d487039c58b9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7569, 231, 201, 4, 91, "Input",ExpressionUUID->"c000a532-a758-4915-91c0-ce53b7a4f0fa"],
Cell[7773, 237, 1074, 28, 154, "Output",ExpressionUUID->"1e0ae979-deec-4e6e-a3c3-e9746ccf96e0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8884, 270, 372, 9, 135, "Input",ExpressionUUID->"75dc7c42-8f00-4ac9-b39d-118822229923"],
Cell[9259, 281, 594, 15, 99, "Output",ExpressionUUID->"bffa301b-9fa4-4b22-9af3-2e28c0042499"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9890, 301, 216, 4, 91, "Input",ExpressionUUID->"339b761c-a164-477a-a35c-5d3f6deaa605"],
Cell[10109, 307, 151, 2, 99, "Output",ExpressionUUID->"a5ce3da5-6a04-4da7-86ee-dcced8bb8e34"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10297, 314, 1294, 36, 264, "Input",ExpressionUUID->"b8ac46bb-3cc1-4faa-8afd-fd50606e4158"],
Cell[11594, 352, 10587, 194, 491, "Output",ExpressionUUID->"8647a060-4cd3-4ffd-bf28-1122c44e4145"]
}, Open  ]],
Cell[22196, 549, 1675, 49, 408, "Input",ExpressionUUID->"35573b4d-ef42-47eb-aeff-70abaa1b1b41"],
Cell[CellGroupData[{
Cell[23896, 602, 634, 17, 150, "Input",ExpressionUUID->"63a922a3-8046-4cc2-8098-6fe8f75a9219"],
Cell[24533, 621, 346, 10, 71, "Output",ExpressionUUID->"d825d34c-8451-45d1-af56-9b727dd20b7d"],
Cell[24882, 633, 1864, 64, 158, "Output",ExpressionUUID->"6dadbafc-e8a3-408a-a786-89547b9bbd61"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26783, 702, 263, 7, 81, "Input",ExpressionUUID->"13d2584b-13f6-48b6-816c-ea5255109553"],
Cell[27049, 711, 2456, 83, 81, "Output",ExpressionUUID->"ad7e962a-aa17-4c20-a35a-734ab47719a5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29542, 799, 746, 21, 81, "Input",ExpressionUUID->"1e3e338f-3bee-4161-8fea-dc095733a969"],
Cell[30291, 822, 263, 6, 81, "Output",ExpressionUUID->"7b2d2e1d-8442-4a81-8fd1-11fc1c6bcaea"],
Cell[30557, 830, 485, 15, 81, "Output",ExpressionUUID->"2272ec81-904f-42e5-a1f6-545793f16092"],
Cell[31045, 847, 615, 17, 81, "Output",ExpressionUUID->"e337b427-52ca-4eda-a74c-b75cee0193cd"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

